%global momorel 2
%global md5sum_src0 790c6739f601b85654fac9ee516b18d8

Summary: Time-modules module for perl 
Name: perl-Time-modules
Version: 2006.0814
Release: %{momorel}m%{?dist}
License: see "*.pm"
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Time/Time-modules-%{version}.tar.gz %{md5sum_src0}
URL: http://www.cpan.org/modules/by-module/Time/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.5
BuildArch: noarch

%description
Time-modules module for perl

%prep
%setup -q -n Time-modules-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Time-modules-%{version}-filelist
if [ "$(cat Time-modules-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove needless files
rm -f %{buildroot}%{perl_vendorarch}/auto/Time-modules/.packlist

%files -f Time-modules-%{version}-filelist
%defattr(-,root,root)
%doc CHANGELOG README

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2006.0814-2m)
- use vendor

* Fri Sep  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2006.0814-1m)
- update to 2006.0814

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-5m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2003.1126-2m)
- remove Epoch from BuildPrereq

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2003.1126-1m)

* Tue Dec  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2003.0211-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.0211-3m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2003.0211-2m)
- rebuild against perl-5.8.1

* Sat Mar 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.0211-1m)
- update to 2003.0211

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-3m)
- 'BuildArch: noarch'

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-2m)
- rebuild against perl-5.8.0

* Sun Nov 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-1m)
- spec file was semi-autogenerated
